"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrivateKeyPassphraseNotFoundError = void 0;
const KeystoreError_1 = require("./KeystoreError");
/**
 *  Error subclass for signaling keystore error when a given private key is not found
 */
class PrivateKeyPassphraseNotFoundError extends KeystoreError_1.KeystoreError {
    constructor(keyId) {
        super(`private key passphrase not found, key id: ${keyId}`);
        this.keyId = keyId;
        Object.setPrototypeOf(this, PrivateKeyPassphraseNotFoundError.prototype);
        Error.captureStackTrace(this, this.constructor);
        this.name = this.constructor.name;
    }
}
exports.PrivateKeyPassphraseNotFoundError = PrivateKeyPassphraseNotFoundError;
//# sourceMappingURL=PrivateKeyPassphraseNotFoundError.js.map